//-------------------------------------------------------------------------*
// 工 程 名: Cop                                                           *
// 硬件连接: (2)AW60目标板上的串口1接PC机串口                              *
// 程序描述: 使用SCI1和PC机通信，根据开启看门狗与否以及喂狗与否观察运行结果*
// 目    的: 初步掌握利用串行通信学习看门狗的基本知识                      *
// 说    明: 波特率为9600,使用SCI1口                                       *
//----------------苏州大学飞思卡尔嵌入式系统研发中心2011年-----------------*

#include "Includes.h"

void main(void)
{
    //1 主程序使用的变量定义
    //uint8 msg[14]= "Hello! World!";
    uint32 mRuncount=0;                            //运行计数器
    uint32 mRuncount2=0;                           //运行计数器2
    //2 关中断
    DisableInterrupt();                            //禁止总中断
    //3 芯片初始化
    MCUInit();
    //4 模块初始化
    SCIInit(SCI_NUM_1,SYSTEM_CLOCK,9600);          //串行口初始化
    //5 开放中断
    EnableSCIReInt();                              //开放SCI接收中断
    EnableInterrupt();                             //开放总中断
    
    FeedDog();
    //6 主程序向PC机发送数据
    //SCISendN(SCI_NUM_1,13,msg);//如果开启看门狗，且发送长字符串时
                                 //SCISendN()内部也要喂狗 
    FeedDog();
    //SCISendString(SCI_NUM_1,"dog out\r\n");
    SCISend1(SCI_NUM_1,0x34);
    //7 主循环
    while(1)
    {
        mRuncount++;
        FeedDog();
        if (mRuncount>=10000) 
        {
          mRuncount=0;
          SCISend1(SCI_NUM_1,0x31);
        }
    }
}
